lightdm-guest-session profile is too strict to input Japanese text with fcitx-mozc

Bug #1509829 reported by Nobuto Murata on 2015-10-25
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Light Display Manager
Medium
Unassigned
1.18
Medium
Unassigned
fcitx (Ubuntu)
Undecided
Aron Xu
Xenial
Undecided
Aron Xu
lightdm (Ubuntu)
High
Aron Xu
Xenial
High
Aron Xu
mozc (Ubuntu)
Undecided
Aron Xu
Xenial
Undecided
Aron Xu

Bug Description

[Impact]
Unable to input Japanese text in guest session.

[Test Case]
1. Log into guest session
2. Enable Japanese input method (fcitx-mozc)
3. Enter Japanese text in gedit

Expected result:
Text can be entered

Observed result:
mozc gives an error saying "Failed to start Kana/Kanji conversion program. You need to reboot".
[possibly related messages]
10月 26 00:40:29 test-Standard-PC-i440FX-PIIX-1996 kernel: audit: type=1400 audit(1445787629.866:709): apparmor="DENIED" operation="link" profile="/usr/lib/lightdm/lightdm-guest-session" name="/dev/shm/sem.69ef545277bb" pid=9534 comm="fcitx" requested_mask="l" denied_mask="l" fsuid=120 ouid=120 target="/dev/shm/oFbWJv"
10月 26 00:40:29 test-Standard-PC-i440FX-PIIX-1996 kernel: audit: type=1400 audit(1445787629.870:710): apparmor="DENIED" operation="bind" profile="/usr/lib/lightdm/lightdm-guest-session" pid=9554 comm="mozc_server" family="unix" sock_type="stream" protocol=0 requested_mask="bind" denied_mask="bind" addr="@tmp/.mozc.d23bc799563c3f748fa591c15f46c971.session"

[Regression potential]
Low. More permissions were added to AppArmor configuration.

Related branches

Nobuto Murata (nobuto) wrote :
Nobuto Murata (nobuto) wrote :

output of `journalctl -k`.

tags: added: rls-x-incoming
Changed in lightdm (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
importance: Medium → High
Changed in lightdm (Ubuntu):
assignee: nobody → Aron Xu (happyaron)
Iain Lane (laney) on 2016-02-15
tags: removed: rls-x-incoming
Aron Xu (happyaron) on 2016-02-18
Changed in lightdm (Ubuntu Xenial):
status: Triaged → In Progress
Aron Xu (happyaron) on 2016-03-17
affects: lightdm (Ubuntu Xenial) → mozc (Ubuntu Xenial)
affects: mozc (Ubuntu Xenial) → lightdm (Ubuntu Xenial)
Changed in mozc (Ubuntu Xenial):
status: New → In Progress
Changed in fcitx (Ubuntu Xenial):
status: New → In Progress
assignee: nobody → Aron Xu (happyaron)
Changed in mozc (Ubuntu Xenial):
assignee: nobody → Aron Xu (happyaron)
Aron Xu (happyaron) on 2016-03-17
Changed in mozc (Ubuntu Xenial):
status: In Progress → Fix Committed
Aron Xu (happyaron) on 2016-03-18
Changed in mozc (Ubuntu Xenial):
status: Fix Committed → Fix Released
Aron Xu (happyaron) on 2016-03-22
Changed in lightdm (Ubuntu Xenial):
status: In Progress → Fix Committed
status: Fix Committed → In Progress
Changed in fcitx (Ubuntu Xenial):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fcitx - 1:4.2.9.1-1ubuntu1

---------------
fcitx (1:4.2.9.1-1ubuntu1) xenial; urgency=medium

  * Install apparmor configuration (LP: #1509829)

 -- Aron Xu <email address hidden> Tue, 22 Mar 2016 21:33:56 +0800

Changed in fcitx (Ubuntu Xenial):
status: Fix Committed → Fix Released
Changed in lightdm (Ubuntu):
status: In Progress → Fix Committed
Changed in lightdm (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in lightdm:
status: New → Fix Committed
milestone: none → 1.19.0
importance: Undecided → Medium
Changed in lightdm:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightdm - 1.19.0-0ubuntu1

---------------
lightdm (1.19.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    - Use /dev/tty0 instead of /dev/console for VT operations (LP: #1566073)
    - Don't quit on SIGUSR1, SIGUSR2 or SIGHUP (LP: #960157)
    - Improve XDMCP IPv6 address selection (LP: #1575200)
    - Set XDMCP hostname field in to system hostname or configured value
      (LP: #1578442)
    - Allow fcitx and mozc to run in guest session (LP: #1509829)
    - Fix lxsession running in guest session
    - Drop support for legacy XMir
    - Fix g_spawn compiler warning
  * debian/rules:
    - Fix usage of dh_installinit (LP: #1292990)

 -- Robert Ancell <email address hidden> Thu, 05 May 2016 12:23:45 +1200

Changed in lightdm (Ubuntu):
status: Fix Committed → Fix Released
description: updated

Hello Nobuto, or anyone else affected,

Accepted lightdm into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/lightdm/1.18.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightdm - 1.18.2-0ubuntu1

---------------
lightdm (1.18.2-0ubuntu1) xenial; urgency=medium

  * New upstream release:
    - Don't quit on SIGUSR1, SIGUSR2 or SIGHUP (LP: #960157)
    - Use MIR_SERVER_HOST_SOCKET instead of MIR_SOCKET to report compositor
      socket to sessions. This used to work but no longer works in Mir 0.21
      (LP: #1583624)
    - Use only a single compositor on xlocal seats (LP: #1594229)
    - Fix Mir greeter log filename having "(null)" in the name (LP: #1590582)
    - Set XDMCP hostname field in to system hostname or configured value
      (LP: #1578442)
    - Improve XDMCP IPv6 address selection (LP: #1575200)
    - Allow fcitx and mozc to run in guest session (LP: #1509829)
    - Fix uninitialized memory errors
  * debian/lightdm.dirs:
    - Ensure user configuration directories /etc/lightdm/lightdm.conf.d and
      /etc/guest-session exist
  * debian/guest-account.sh:
  * debian/guest-session-setup.sh:
    - Source prefs.sh as privileged user to allow user modification
      (LP: #1581853)

 -- Robert Ancell <email address hidden> Tue, 21 Jun 2016 12:49:01 +1200

Changed in lightdm (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers